libdvbv5: dvb_dev_list Struct Reference

libdvbv5 1.30.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_dev_list Struct Reference
Digital TV device enumeration

Digital TV device node properties. More...

`#include <dvb-dev.h>`

## Data Fields
char * | syspath
char * | path
char * | sysname
enum dvb_dev_type | dvb_type
char * | bus_addr
char * | bus_id
char * | manufacturer
char * | product
char * | serial

## Detailed Description

Digital TV device node properties.

Parameters

  path | path for the /dev file handler
  sysname | Kernel's system name for the device (dvb?.frontend?, for example)
  dvb_type | type of the DVB device, as defined by enum dvb_dev_type
  bus_addr | address of the device at the bus. For USB devices, it will be like: usb:3-1.1.4; for PCI devices: pci:0000:01:00.0)
  bus_id | Id of the device at the bus (optional, PCI ID or USB ID)
  manufacturer | Device's manufacturer name (optional, only on USB)
  product | Device's product name (optional, only on USB)
  serial | Device's serial name (optional, only on USB)

Examples
  dvb-fe-tool.c, dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 86 of file dvb-dev.h.

## Field Documentation

## ◆ bus_addr

char* dvb_dev_list::bus_addr

Definition at line 91 of file dvb-dev.h.

## ◆ bus_id

char* dvb_dev_list::bus_id

Definition at line 92 of file dvb-dev.h.

## ◆ dvb_type

enum dvb_dev_type dvb_dev_list::dvb_type

Definition at line 90 of file dvb-dev.h.

## ◆ manufacturer

char* dvb_dev_list::manufacturer

Definition at line 93 of file dvb-dev.h.

## ◆ path

char* dvb_dev_list::path

Examples
  dvbv5-zap.c.

Definition at line 88 of file dvb-dev.h.

## ◆ product

char* dvb_dev_list::product

Definition at line 94 of file dvb-dev.h.

## ◆ serial

char* dvb_dev_list::serial

Definition at line 95 of file dvb-dev.h.

## ◆ sysname

char* dvb_dev_list::sysname

Examples
  dvb-fe-tool.c, dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 89 of file dvb-dev.h.

## ◆ syspath

char* dvb_dev_list::syspath

Definition at line 87 of file dvb-dev.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/dvb-dev.h